################################################################################################
#
# Jungle Temple RESET
#
################################################################################################
scoreboard players set @e[tag=sh] gamestate 0
scoreboard players set @e[tag=sh] ladder_unlock 0
tag @a remove trapped
tag @a remove dead
scoreboard players set @e[tag=sh] laser_active 300
stopsound @a master

fill 25 77 697 25 73 694 minecraft:andesite
fill 31 77 697 31 73 694 minecraft:andesite

kill @e[tag=star]
kill @e[tag=star_display]
scoreboard players set @e[tag=sh] gem_timer 0
kill @e[tag=ruby_display]

summon armor_stand 26 73.5 672 {NoGravity:1,ShowArms:1,Tags:["star","star1"],Invisible:1}
summon armor_stand 30 73.5 672 {NoGravity:1,ShowArms:1,Tags:["star","star2"],Invisible:1}

kill @e[tag=boulder]
scoreboard players set @e[tag=sh] boulder_timer 0

fill 27 74 701 29 78 701 air
kill @e[tag=wall]
scoreboard players set @e[tag=sh] door_timer 0

kill @e[tag=vine_comp]
summon armor_stand 38 77 677 {Tags:["swing","swing1","vine_comp"],NoGravity:1,Pose:{Head:[0.001f,0.001f,0.001f]},ArmorItems:[{},{},{},{id:"minecraft:diamond_pickaxe",Count:1,tag:{Unbreakable:1,Damage:6}}],Invisible:1}
summon armor_stand 38 77 679 {Tags:["swing_seat","vine_comp","swing_seat1"],NoGravity:1,Pose:{Head:[0.001f,0.001f,0.001f]},Invisible:1}
summon armor_stand 41 77 683 {Tags:["swing","swing2","vine_comp"],NoGravity:1,Pose:{Head:[0.001f,0.001f,0.001f]},ArmorItems:[{},{},{},{id:"minecraft:diamond_pickaxe",Count:1,tag:{Unbreakable:1,Damage:6}}],Invisible:1}
summon armor_stand 41 77 683 {Tags:["swing_seat","vine_comp","swing_seat2"],NoGravity:1,Pose:{Head:[0.001f,0.001f,0.001f]},Invisible:1}
scoreboard players set @e[tag=swing] swing_speed 0

summon armor_stand 38 77 677 {Tags:["moss_slab","vine_comp"],NoGravity:1,ArmorItems:[{},{},{},{id:"minecraft:diamond_pickaxe",Count:1,tag:{Unbreakable:1,Damage:7}}],Invisible:1}
summon armor_stand 41 77 683 {Tags:["moss_slab","vine_comp"],NoGravity:1,ArmorItems:[{},{},{},{id:"minecraft:diamond_pickaxe",Count:1,tag:{Unbreakable:1,Damage:7}}],Invisible:1}
setblock 32 78 683 stone_button[facing=east]
setblock 41 68 680 minecraft:polished_andesite
fill 41 69 680 41 72 680 air
scoreboard players set @e[tag=sh] pillar_timer 0
setblock 38 74 692 stone_button[face=floor]
setblock 18 74 692 stone_button[face=floor]

summon armor_stand 41 67 680 {Tags:["pillar","vine_comp"],NoGravity:1,Pose:{Head:[0.001f,0.001f,0.001f]},Invisible:1}

function jungle_temple:mirror_reset


fill 28 78 686 28 73 687 air
fill 28 79 686 28 79 687 minecraft:cobblestone
kill @e[type=item]


clear @a diamond_pickaxe
clear @a nether_star
give @a nether_star 2

function jungle_temple:puzzle_reset
